var debug = "brak";
  function getName()
  {
    var first_name = prompt("Jak masz na imię?", "");
    var last_name = prompt("Jak masz na nazwisko?", "");
    var the_name = first_name + " " + last_name;
    
   doError("W getName zmienna the_name = " + the_name);
  }
  function theGreeting()
  {
    var the_name = getName();
    doError("Poza getName zmienna the_name = " + the_name);
    if (the_name == "Dave Thau")
    {
      alert("Jak leci, stary!");
    } else {
      alert ("Czołem, ludziska!");
    } 
  }
  function doError(the_message)
  {
    if (debug == "ograniczony")
    {
     alert(the_message);
    } else if (debug == "kompletny") {
     window.document.the_form.the_text.value += 
        the_message + "\n";
    }
}
